# 端口号
server.port=8443
#server.port=443
# 最小线程数
server.tomcat.threads.min-spare=200
# 最大线程数
server.tomcat.threads.max=1000
# 最大链接数
server.tomcat.max-connections=8192
# 最大等待队列长度
server.tomcat.accept-count=200
# 链接建立超时时间
server.tomcat.connection-timeout=20000
# ssl证书存放路径
#server.ssl.key-store=/usr/local/dhr/config/dhr.jks
#server.ssl.key-store=/usr/local/dhr/config/ssl/server.pfx
# ssl证书的tomcat服务器类型默认
#server.ssl.key-store-type=PKCS12
# ssl证书密码
#server.ssl.key-store-password=123456
#配置加密套件
#server.ssl.ciphers=TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256,TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256,TLS_RSA_WITH_AES_128_CBC_SHA256,TLS_RSA_WITH_AES_256_CBC_SHA256
#指定tls版本
#server.ssl.enabled-protocols=TLSv1.2,TLSv1.3
# 开启压缩
server.compression.enabled=true
# 重定向跳转追加代理协议
server.tomcat.useRelativeRedirects=true

# 启用Tomcat的访问日志,access_log
server.tomcat.accesslog.enabled=true
# 设置访问日志的文件名
server.tomcat.accesslog.directory=/usr/local/dhr/logs
server.tomcat.accesslog.prefix=access_log
# 设置访问日志的格式
server.tomcat.accesslog.pattern=%h %l %u %t "%r" %s %b %D

